Bug 847961 - [abrt] vim-X11-7.3.556-1.fc17: __GI___open_catalog: Process /usr/bin/gvim was killed by signal 6 (SIGABRT)
[abrt] vim-X11-7.3.556-1.fc17: __GI___open_catalog: Process /usr/bin/gvim was...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
abrt_hash:ce8594fdb43041dca345cb61615...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 04:33 EDT by Vít Ondruch
Modified: 2012-08-31 17:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 17:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.99 KB, text/plain)
2012-08-14 04:33 EDT, Vít Ondruch
no flags Details
File: maps (38.64 KB, text/plain)
2012-08-14 04:33 EDT, Vít Ondruch
no flags Details
File: dso_list (8.20 KB, text/plain)
2012-08-14 04:33 EDT, Vít Ondruch
no flags Details

  None (edit)
Description Vít Ondruch 2012-08-14 04:33:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gvim .
comment:        Trying to paste two pages of text from system clipboard
crash_function: __GI___open_catalog
executable:     /usr/bin/gvim
kernel:         3.4.6-2.fc17.x86_64
pid:            32657
pwd:            /var/lib/mock/fedora-18-x86_64/root/builddir/t
remote_result:  NOTFOUND
time:           Út 14. srpen 2012, 10:23:39 CEST
uid:            1000
username:       vondruch

backtrace:      Text file, 44023 bytes
dso_list:       Text file, 8394 bytes
maps:           Text file, 39564 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/vondruch/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35c07 kill libc.so.6 -
:612dd6c1dd8651d1219b0bc49f0eaaaed93fce47 0x11c59c mch_exit [exe] -

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=dhcp-25-1.brq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/vondruch/keyring-M6lgYv/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c30e1fa566cc594c999964b900000026-1344839592.132650-42228931
:CVSROOT=:gserver:cvs.devel.redhat.com:/cvs/dist
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=14680069
:GNOME_KEYRING_CONTROL=/run/user/vondruch/keyring-M6lgYv
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=vondruch
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/vondruch/keyring-M6lgYv/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1548,unix/unix:/tmp/.ICE-unix/1548
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/vondruch/.local/bin:/home/vondruch/bin
:MAIL=/var/spool/mail/vondruch
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/var/lib/mock/fedora-18-x86_64/root/builddir/t
:XMODIFIERS=@im=none
:EDITOR=vim
:GNOME_KEYRING_PID=1544
:LANG=cs_CZ.utf8
:GDM_LANG=cs_CZ.utf8
:'PS1=[\\u@\\h \\W$(__git_ps1 \" (%s)\")]\\$ '
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/vondruch
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=vondruch
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KZzX9NYoZz,guid=e9ac4fe644469f3818e5a55400000164
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/vondruch
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-vondruch-Kxj468/database
:_=/usr/bin/gvim
:OLDPWD=/var/lib/mock/fedora-18-x86_64/root/builddir

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29854                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29854                29854                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/3
:pos:	0
:flags:	0100002
:1:/dev/pts/3
:pos:	0
:flags:	0100002
:2:/dev/pts/3
:pos:	0
:flags:	0100002
:3:socket:[1197955]
:pos:	0
:flags:	02000002
:4:socket:[1200206]
:pos:	0
:flags:	02004002
:5:pipe:[1197956]
:pos:	0
:flags:	02000000
:6:pipe:[1197956]
:pos:	0
:flags:	02004001

system_vimrc:
:if v:lang =~ "utf8$" || v:lang =~ "UTF-8$"
:   set fileencodings=ucs-bom,utf-8,latin1
:endif
:
:set nocompatible	" Use Vim defaults (much better!)
:set bs=indent,eol,start		" allow backspacing over everything in insert mode
:"set ai			" always set autoindenting on
:"set backup		" keep a backup file
:set viminfo='20,\"50	" read/write a .viminfo file, don't store more
:			" than 50 lines of registers
:set history=50		" keep 50 lines of command line history
:set ruler		" show the cursor position all the time
:
:" Only do this part when compiled with support for autocommands
:if has("autocmd")
:  augroup fedora
:  autocmd!
:  " In text files, always limit the width of text to 78 characters
:  " autocmd BufRead *.txt set tw=78
:  " When editing a file, always jump to the last cursor position
:  autocmd BufReadPost *
:  \ if line("'\"") > 0 && line ("'\"") <= line("$") |
:  \   exe "normal! g'\"" |
:  \ endif
:  " don't write swapfile on most commonly used directories for NFS mounts or USB sticks
:  autocmd BufNewFile,BufReadPre /media/*,/mnt/* set directory=~/tmp,/var/tmp,/tmp
:  " start with spec file template
:  autocmd BufNewFile *.spec 0r /usr/share/vim/vimfiles/template.spec
:  augroup END
:endif
:
:if has("cscope") && filereadable("/usr/bin/cscope")
:   set csprg=/usr/bin/cscope
:   set csto=0
:   set cst
:   set nocsverb
:   " add any database in current directory
:   if filereadable("cscope.out")
:      cs add cscope.out
:   " else add database pointed to by environment
:   elseif $CSCOPE_DB != ""
:      cs add $CSCOPE_DB
:   endif
:   set csverb
:endif
:
:" Switch syntax highlighting on, when the terminal has colors
:" Also switch on highlighting the last used search pattern.
:if &t_Co > 2 || has("gui_running")
:  syntax on
:  set hlsearch
:endif
:
:filetype plugin on
:filetype indent on
:
:if &term=="xterm"
:     set t_Co=8
:     set t_Sb=[1B][4%dm
:     set t_Sf=[1B][3%dm
:endif
:
:" Don't wake up system with blinking cursor:
:" http://www.linuxpowertop.org/known.php
:let &guicursor = &guicursor . ",a:blinkon0"

var_log_messages:
:Aug 14 10:21:58 localhost abrt[32575]: Saved core dump of pid 32510 (/usr/bin/gvim) to /var/spool/abrt/ccpp-2012-08-14-10:21:57-32510 (13750272 bytes)
:Aug 14 10:23:40 localhost abrt[32668]: Saved core dump of pid 32657 (/usr/bin/gvim) to /var/spool/abrt/ccpp-2012-08-14-10:23:39-32657 (13746176 bytes)
Comment 1 Vít Ondruch 2012-08-14 04:33:13 EDT
Created attachment 604208 [details]
File: backtrace
Comment 2 Vít Ondruch 2012-08-14 04:33:16 EDT
Created attachment 604209 [details]
File: maps
Comment 3 Vít Ondruch 2012-08-14 04:33:18 EDT
Created attachment 604210 [details]
File: dso_list
Comment 4 Fedora Update System 2012-08-28 10:16:17 EDT
vim-7.3.638-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vim-7.3.638-2.fc17
Comment 5 Fedora Update System 2012-08-28 19:25:38 EDT
Package vim-7.3.638-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.3.638-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12869/vim-7.3.638-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-31 17:23:52 EDT
vim-7.3.638-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.